> For the complete documentation index, see [llms.txt](https://docs.wpjobopenings.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wpjobopenings.com/developers/code-snippets/modify-or-remove-the-structured-data.md).

# Modify or Remove the Structured Data

By default, WP Job Openings adds `JobPosting` structured data to all the active jobs. Adding structured data makes your job postings eligible to appear in a special user experience in Google Search results. WP Job Openings uses the Google recommended JSON-LD format for the structured data. You can use the below code snippets to modify or remove the structured data.

#### Modify the structured data

Including the excerpt as the Job Description instead of post content.

```php
function awsm_job_custom_structured_data( $data ) {
	$data['description'] = wpautop( get_the_excerpt() );
	return $data;
}
add_filter( 'awsm_job_structured_data', 'awsm_job_custom_structured_data' );
```

#### Remove the structured data

```php
add_filter( 'awsm_job_structured_data', '__return_empty_string' );
```

{% hint style="info" %}
[**How to Easily Add Custom Code to Your WordPress Websites**](https://wp-content.co/add-custom-code-to-your-wordpress-websites/)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wpjobopenings.com/developers/code-snippets/modify-or-remove-the-structured-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
